%define version	0.02
%define release	%mkrel 4
%define name 	perl-%realname
%define realname	Sys-Mknod

Summary:	Sys::Mknod - make special files
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/S/SA/SAMV/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
BuildArch:      noarch
   
%description
Sys::Mknod - make special files

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
# I am sorry, we can't make test because because
# it try to run mknod, and we can't be root to
# build the package...
[ $UID -eq 0 ] || exit 0
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}
%{_mandir}/*/*
%doc Changes README

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:10:34 (54138)
- try to run test, if building as root...
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:04:38 (54137)
Import perl-Sys-Mknod

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.02-3mdk
- rebuild

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.02-2mdk
- rebuild for new perl
- noarch

* Sun May 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-1mdk
- initial release 

